#include "triangles.h"

#include <bits/stdc++.h>

using namespace std;

std::vector<std::vector<int>> solve(int n) {
    // Example of compare:
    // Пример использования функции compare:
    for (int f = 0; f < 4; f++) {
        for (int s = 0; s < 4; s++) {
            for (int h = 0; h < 4; h++) {
                for (int d = 0; d < 4; d++) {
                    if (!(f - s) || !(f - h) || !(f - d) || !(s - h) || !(s - d) || !(h - d)) continue;
                    std::vector<Triangle> left = {Triangle(f, s, h)};
                    std::vector<Triangle> right = {Triangle(h, d, f), Triangle(h, d, s), Triangle(s, d, f)};
                    int out = compare(left, right);
                    if (!out) {
                        vector<vector<int>> ans;
                        ans.push_back(vector<int>(3));
                        ans.push_back(vector<int>(3));
                        ans.push_back((vector<int>(3)));
                        ans[0] = {h, d, f};
                        ans[1] = {h, d, s};
                        ans[2] = {f, d, s};
                        return ans;
                    }
                }
            }
        }
    }
    for (int f = 0; f < 3; f++) {
        for (int s = 0; s < 3; s++) {

        }
    }
    std::vector<std::vector<int>> ans;
    ans.push_back(std::vector<int>(3));
    ans.push_back((vector<int>(3)));
    for (int i = 0; i < 3; ++i) {
        ans[0][i] = i;
    }
    ans[1] = {2, 3, 0};
    return ans;
}
